%global srcname sphinx_mdinclude
%global distname sphinx-mdinclude

%global _description %{expand:
sphinx-mdinclude is a simple Sphinx extension that enables including Markdown
documents from within reStructuredText. It provides the `.. mdinclude::`
directive, and automatically converts the content of Markdown documents to
reStructuredText format.}

Name:           python-%{distname}
Version:        0.5.3
Release:    2%{?dist}
Summary:        Markdown extension for Sphinx

License:        MIT
URL:            https://github.com/omnilib/sphinx-mdinclude
Source0:         %{pypi_source}

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)

%description %{_description}


%package -n     python3-%{distname}
Summary:        %{summary}
Requires:       python3dist(sphinx)

%description -n python3-%{distname} %{_description}


%prep
%autosetup -n %{srcname}-%{version}
rm %{srcname}/legacy.py

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{srcname}


%check
%pytest -v


%files -n python3-%{distname} -f %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
* Thu Jun 12 2025 bbrucezhang <bbrucezhang@tencent.com> - 0.5.3-2
- Rebuilt for loongarch64

* Fri Jun 28 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5.3-1
- initial build
